package com.mushiny.wms.application.domain;

import com.mushiny.wms.common.entity.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * WMS_SLAM_CAR
 */
@Entity
@Table(name = "WMS_SLAM_CAR")
public class WmsSlamCar extends BaseEntity{

    @Column(name = "CARNO")
    private String carNo;

    @Column(name = "ERRORCODE")
    private String errorCode;

    @Column(name = "ERRORMSG")
    private String errorMsg;

    @Column(name = "STATUS")
    private String status;

    @Column(name = "OCCURTIME")
    private String occurTime;

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOccurTime() {
        return occurTime;
    }

    public void setOccurTime(String occurTime) {
        this.occurTime = occurTime;
    }
}
